Package net.shibboleth.idp.plugin.authn.webauthn.admin.policy

# Interface AuthenticatorPolicy

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AbstractAuthenticatorPolicyRule`, `AllowlistAuthenticatorPolicy`, `AuthenticatorCapabilitiesPolicyRule`, `ChainingAuthenticatorPolicyRule`, `FunctionalAuthenticatorPolicyRule`

public interface AuthenticatorPolicy extends IdentifiedComponent
An API for applying policy checks to an authenticator. The authenticator is identified by its AAGUID.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
Representation of the three outcomes of an AuthenticatorPolicy.

## Method Summary

Modifier and Type
Method
Description
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
`evaluate(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute and evaluate the policy.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### evaluate

AuthenticatorPolicy.AuthenticatorPolicyOutcome evaluate(@Nonnull com.yubico.fido.metadata.AAGUID aaguid, @Nonnull ProfileRequestContext prc)
Execute and evaluate the policy. Return `AuthenticatorPolicy.AuthenticatorPolicyOutcome.ACCEPT` if allowed, `AuthenticatorPolicy.AuthenticatorPolicyOutcome.REJECT` if rejected, and `AuthenticatorPolicy.AuthenticatorPolicyOutcome.IGNORE` otherwise.

Parameters:
  `aaguid` - the authenticator attestation GUID.
  `prc` - the profile request context
Returns:
  the authenticator policy outcome: ACCEPT if allowed, REJECT if rejected, and IGNORE if the policy is to be ignored (e.g. the policy is not active)